@echo off
if not "%OS%"=="Windows_NT" goto start
@setlocal
:start
:: -----------------------------------------------------------------------------
:: Xindice Command Line Tool Win32/Win16 Script for SRC distribution
::
:: $Id: xindice.bat,v 1.14 2004/03/13 13:45:29 vgritsenko Exp $
:: -----------------------------------------------------------------------------

:: ----- Verify and Set Required Environment Variables -------------------------

if not "%JAVA_HOME%" == "" goto gotJavaHome
echo ERROR: You must set JAVA_HOME to point at your Java
echo        Development Kit installation.
goto end
:gotJavaHome

set _XINDICE_HOME=%XINDICE_HOME%
if not "%_XINDICE_HOME%" == "" goto gotXindiceHome
:: ----- Use the location of this script
set _XINDICE_HOME=%~dp0..
if not exist "%_XINDICE_HOME%\dist\xindice*.jar" goto noXindiceHome
echo WARNING: The environment variable XINDICE_HOME is not set.
echo          Defaulting to %_XINDICE_HOME%
goto gotXindiceHome

:noXindiceHome
echo ERROR: You must set XINDICE_HOME to point at your
echo        Xindice WEB-INF directory.
goto end

:gotXindiceHome

set _XINDICE_DB_HOME=%XINDICE_DB_HOME%
if "%_XINDICE_DB_HOME%" == "" set _XINDICE_DB_HOME=%_XINDICE_HOME%
set _XINDICE_CONFIG=%XINDICE_CONFIG%
if "%_XINDICE_CONFIG%" == "" set _XINDICE_CONFIG=%_XINDICE_HOME%\config\system.xml
set _LOGGER=%LOGGER%
if "%_LOGGER%" == "" set _LOGGER=org.apache.commons.logging.impl.SimpleLog
set _LOGLEVEL=%LOGLEVEL%
if "%_LOGLEVEL%" == "" set _LOGLEVEL=INFO
set _JAVACMD=%JAVACMD%
if "%_JAVACMD%" == "" set _JAVACMD=%JAVA_HOME%\bin\java


:: ----- Set Up The Classpath --------------------------------------------------

set LOCALCLASSPATH=
for %%i in ("%_XINDICE_HOME%\java\lib\*.jar") do call "%_XINDICE_HOME%\bin\lcp.bat" %%i
for %%i in ("%_XINDICE_HOME%\dist\xindice*.jar") do call "%_XINDICE_HOME%\bin\lcp.bat" %%i


:: ----- Check Command Line Arguments ------------------------------------------

:runXindice
set _CL=
:LOOP
if .%1.==.. goto DONE
set _CL=%_CL% %1
shift
goto LOOP
:DONE


:: ----- Start Command Line Tool -----------------------------------------------

%_JAVACMD% -Xms16m -Xmx128m -Djava.endorsed.dirs=%_XINDICE_HOME%\java\lib -Dxindice.home=%_XINDICE_HOME% -Dxindice.db.home=%_XINDICE_DB_HOME% -Dxindice.configuration=%_XINDICE_CONFIG% -Dorg.apache.commons.logging.Log=%_LOGGER% -Dorg.apache.commons.logging.simplelog.defaultlog=%_LOGLEVEL% -Dcmd.home=%_XINDICE_HOME% -classpath %LOCALCLASSPATH% org.apache.xindice.tools.XMLTools %_CL%


:: ----- End -------------------------------------------------------------------

:end
if not "%OS%"=="Windows_NT" goto win16
@endlocal
goto mainEnd
:win16
set _XINDICE_HOME=
set _XINDICE_DB_HOME=
set _XINDICE_CONFIG=
set _LOGGER=
set _LOGLEVEL=
set _JAVACMD=
set _CL=
set LOCALCLASSPATH=
:mainEnd
