package org.apache.xindice.examples;

/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: AddDocument.java,v 1.6 2004/02/08 01:19:43 vgritsenko Exp $
 */

import java.io.File;
import java.io.FileInputStream;

import org.xmldb.api.base.Collection;
import org.xmldb.api.base.XMLDBException;
import org.xmldb.api.modules.XMLResource;

/**
 * Simple XML:DB API Example to insert a new document into the database.
 */
public class AddDocument  extends AbstractExample {
    
    public static void main(String[] args) throws Exception {
        Collection collection = null;
        try {

            collection = getCollection("xmldb:xindice:///db/addressbook");
            
            String data = readFileFromDisk(args[0]);

            XMLResource document = (XMLResource) collection.createResource(null, "XMLResource");
            document.setContent(data);
            collection.storeResource(document);
            System.out.println("Document " + args[0] + " inserted as " + document.getId());
        }
        catch (XMLDBException e) {
            System.err.println("XML:DB Exception occured " + e.errorCode + " " + e.getMessage());
        }
        finally {
            if (collection != null) {
                collection.close();
            }
        }
    }

    public static String readFileFromDisk(String fileName) throws Exception {
        File file = new File(fileName);
        FileInputStream insr = new FileInputStream(file);
        byte[] fileBuffer = new byte[(int) file.length()];
        insr.read(fileBuffer);
        insr.close();
        return new String(fileBuffer);
    }
}
