/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: EmptyRecordSet.java,v 1.5 2004/02/08 02:49:44 vgritsenko Exp $
 */

package org.apache.xindice.core.data;

/**
 * EmptyRecordSet implements an empty RecordSet.
 *
 * @version CVS $Revision: 1.5 $, $Date: 2004/02/08 02:49:44 $
 */
public final class EmptyRecordSet implements RecordSet {

    public boolean hasMoreRecords() {
        return false;
    }

    public Record getNextRecord() {
        return null;
    }

    public Key getNextKey() {
        return null;
    }

    public Value getNextValue() {
        return null;
    }
}
