/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: NodeSet.java,v 1.5 2004/02/08 02:49:44 vgritsenko Exp $
 */

package org.apache.xindice.core.data;


/**
 * NodeSet is an interface for iterating over a set of Nodes.  NodeSets
 * are generally returned by the QueryEngine.
 *
 * @version CVS $Revision: 1.5 $, $Date: 2004/02/08 02:49:44 $
 */
public interface NodeSet {

    /**
     * hasMoreNodes returns whether or not there are any Nodes remaining
     * in the NodeSet.
     *
     * @return Whether there are any more Nodes
     */
    boolean hasMoreNodes();

    /**
     * getNextNode returns the next Node from the NodeSet.
     *
     * @return The next Node
     */
    Object getNextNode();
}
