/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: GetCollectionConfiguration.java,v 1.10 2004/02/08 02:54:17 vgritsenko Exp $
 */

package org.apache.xindice.server.rpc.messages;

import org.apache.xindice.server.rpc.RPCDefaultMessage;

import java.util.Hashtable;

/**
 *
 * @version CVS $Revision: 1.10 $, $Date: 2004/02/08 02:54:17 $
 */
public class GetCollectionConfiguration extends RPCDefaultMessage {

    public Hashtable execute(Hashtable message) throws Exception {

        if (!message.containsKey(COLLECTION)) {
            throw new Exception(MISSING_COLLECTION_PARAM);
        }

        Hashtable result = new Hashtable();
        try {
            /* getCollection() throws an exception if collection doesnt exist */
            getCollection((String) message.get(COLLECTION));
            result.put(RESULT, "yes");
        } catch (Exception e) {
            result.put(RESULT, "no");
        }

        return result;
    }
}
