/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: InsertResource.java,v 1.2 2004/02/08 02:54:17 vgritsenko Exp $
 */

package org.apache.xindice.server.rpc.messages;

import org.apache.xindice.core.Collection;
import org.apache.xindice.server.rpc.RPCDefaultMessage;
import org.apache.xindice.xml.dom.DOMParser;

import org.w3c.dom.Document;

import java.util.Hashtable;

/**
 *
 * @version CVS $Revision: 1.2 $, $Date: 2004/02/08 02:54:17 $
 */
public class InsertResource extends RPCDefaultMessage {
    public Hashtable execute(Hashtable message) throws Exception {

        if (!message.containsKey(COLLECTION)) {
            throw new Exception(MISSING_COLLECTION_PARAM);
        }

        if (!message.containsKey(NAME)) {
            throw new Exception(MISSING_NAME_PARAM);
        }

        if (!message.containsKey(DOCUMENT)) {
            throw new Exception(MISSING_DOCUMENT_PARAM);
        }

        Object obj = message.get(DOCUMENT);
        if (obj == null) {
            throw new Exception("Unable to parse Document");
        }

        String id = (String) message.get(NAME);
        if ("".equals(id)) {
            id = null;
        }

        Collection col = getCollection((String) message.get(COLLECTION));
        if (obj instanceof byte[]) {
            id = col.insertBinary(id, (byte[])obj).toString();
        } else {
            Document doc = DOMParser.toDocument((String) obj);
            id = col.insertDocument(id, doc).toString();
        }

        Hashtable result = new Hashtable();
        result.put(RESULT, id);
        return result;
    }
}
