/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: Shutdown.java,v 1.9 2004/02/21 14:29:45 vgritsenko Exp $
 */

package org.apache.xindice.tools.command;

import org.apache.xindice.client.xmldb.services.DatabaseInstanceManager;
import org.apache.xindice.tools.XMLTools;

import org.xmldb.api.DatabaseManager;
import org.xmldb.api.base.Collection;

import java.util.Hashtable;

/**
 * Shutdown.java is designed to let the user shutdown
 * the Database.
 *
 * @version CVS $Revision: 1.9 $, $Date: 2004/02/21 14:29:45 $
 */
public class Shutdown extends Command {

    //public boolean execute(Hashtable table, Database db)
    public boolean execute(Hashtable table) throws Exception {

        Collection col = null;
        if (table.get(XMLTools.COLLECTION) == null) {
            System.out.println("ERROR : Collection context required ");
            return false;
        }

        try {
            // Get a Collection reference to pass on to individual commands
            String colstring = normalizeCollectionURI((String) table.get(XMLTools.COLLECTION),
                                                      (String) table.get(XMLTools.LOCAL));
            col = DatabaseManager.getCollection(colstring);

            DatabaseInstanceManager man = (DatabaseInstanceManager) col.getService("DatabaseInstanceManager", XMLDBAPIVERSION);

            // Shutdown the server
            man.shutdown();
        } finally {
            if (col != null) {
                col.close();
            }
        }

        return true;
    }
}


