/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: Named.java,v 1.4 2004/02/08 02:59:39 vgritsenko Exp $
 */

package org.apache.xindice.util;

/**
 * Named identifies an object as having a contextually important Name.
 *
 * @version CVS $Revision: 1.4 $, $Date: 2004/02/08 02:59:39 $
 */
public interface Named {

    /**
     * getName retrieves the contextually important name of the object
     *
     * @return The object's name
     */
    String getName();
}


