/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: CDATASectionImpl.java,v 1.4 2004/02/08 03:11:56 vgritsenko Exp $
 */

package org.apache.xindice.xml.dom;

import org.w3c.dom.CDATASection;
import org.w3c.dom.Node;

/**
 * CDATASectionImpl
 *
 * @version CVS $Revision: 1.4 $, $Date: 2004/02/08 03:11:56 $
 */
public final class CDATASectionImpl extends TextImpl implements CDATASection {

    public CDATASectionImpl() {
    }

    public CDATASectionImpl(NodeImpl parentNode, byte[] data, int pos, int len) {
        super(parentNode, data, pos, len);
    }

    public CDATASectionImpl(NodeImpl parentNode, boolean dirty) {
        super(parentNode, dirty);
    }

    public CDATASectionImpl(NodeImpl parentNode, String nodeValue) {
        super(parentNode, nodeValue);
    }

    public short getNodeType() {
        return Node.CDATA_SECTION_NODE;
    }

    public String getNodeName() {
        return "#cdata-section";
    }
}
