/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: DBDocument.java,v 1.7 2004/02/08 03:11:56 vgritsenko Exp $
 */

package org.apache.xindice.xml.dom;

import org.w3c.dom.Document;

/**
 * DBDocument represents a Xindice Collection-originating Document.
 *
 * @version CVS $Revision: 1.7 $, $Date: 2004/02/08 03:11:56 $
 */
public interface DBDocument extends DBNode, Document {

    /**
     * Cache control processing instruction
     */
    static final String CACHE_CONTROL = "xindice-cache";

    /**
     * 'cache' value of the cache control processing instruction
     */
    static final String CACHE = "cache";

    /**
     * 'no-cache' value of the cache control processing instruction
     */
    static final String NOCACHE = "no-cache";

    /**
     * getCaching returns whether or not this Document should be cached
     * by some sort of caching mechanism.
     *
     * @return Whether or not the Document can be cached
     */
    boolean isCaching();

    /**
     * setCaching sets whether or not this Document should be cached
     * by some sort of caching mechanism.
     *
     * @param caching Whether or not the Document can be cached
     */
    void setCaching(boolean caching);
}

