/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: ResourceIteratorImplTest.java,v 1.3 2004/02/08 03:56:47 vgritsenko Exp $
 */

package org.apache.xindice.client.xmldb;

import junit.framework.*;
import org.xmldb.api.base.*;
import org.xmldb.api.base.Collection;
import org.xmldb.api.base.XMLDBException;

import java.util.*;

/**
 * @version CVS $Revision: 1.3 $, $Date: 2004/02/08 03:56:47 $
 * @author Vladimir R. Bossicard <vladimir@apache.org>
 */
public class ResourceIteratorImplTest
      extends TestCase {

   List vct = new Vector();

   public void setUp() {
      for (int i = 0; i < 3; i++) {
         vct.add(new MockResource());
      }
   }

   public void testIterate()
         throws Exception {
      ResourceIterator iterator = new ResourceIteratorImpl(vct);

      assertEquals(true, iterator.hasMoreResources());
      assertNotNull(iterator.nextResource());

      assertEquals(true, iterator.hasMoreResources());
      assertNotNull(iterator.nextResource());

      assertEquals(true, iterator.hasMoreResources());
      assertNotNull(iterator.nextResource());

      assertEquals(false, iterator.hasMoreResources());
      try {
         iterator.nextResource();
         fail();
      } catch (XMLDBException e) {
         return;
      }
   }

   private static class MockResource
         implements Resource {

      public Collection getParentCollection()
            throws XMLDBException {
         return null;
      }

      public String getId()
            throws XMLDBException {
         return null;
      }

      public String getResourceType()
            throws XMLDBException {
         return null;
      }

      public Object getContent()
            throws XMLDBException {
         return null;
      }

      public void setContent(Object value)
            throws XMLDBException {
      }
   }

}
