/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: InlineHeaderBuilderTest.java,v 1.4 2004/02/08 03:56:47 vgritsenko Exp $
 */

package org.apache.xindice.core.meta.inline;

import org.apache.xindice.core.data.Value;
import org.apache.xindice.core.meta.inline.InlineHeaderBuilder;

import junit.framework.TestCase;

/**
 * @version CVS $Revision: 1.4 $, $Date: 2004/02/08 03:56:47 $
 * @author Gary Shea <shea@gtsdesign.com>
 */
public class InlineHeaderBuilderTest extends TestCase {

    public void testInlineHeaderBuilderCreateValue() {
        byte[] metadata = new byte[] {
            0x0a, 0x0b, 0x0c};
        byte[] data = new byte[] {
            0x12, 0x11, 0x10, 0x09, 0x08, 0x07, 0x06, 0x05, 0x04, 0x03, 0x02, 0x01};

        Value value = InlineHeaderBuilder.createValue(12, metadata, data, 2, 7);
        byte[] valueBytes = value.getData();
        
        /*
         * byte 0 is the total header length
         */
        assertEquals(5, valueBytes[0]);
        
        /*
         * byte 1 is the metadata version
         */
        assertEquals(12, valueBytes[1]);
        
        /*
         * bytes 2-4 are metadata...
         */
        for (int i = 0; i < metadata.length; ++i) {
            assertEquals("i=" + i, metadata[i], valueBytes[i + 2]);
        }
        
        /*
         * bytes 5-11 are record value data.
         */
        for (int i = 0; i < 7; ++i) {
            assertEquals("i=" + i, data[i + 2], valueBytes[i + 5]);
        }
    }
}
