/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: AbstractXmlDbClientTest.java,v 1.5 2004/02/08 03:57:02 vgritsenko Exp $
 */

package org.apache.xindice.integration.client;

import junit.framework.TestCase;

/**
 * @version CVS $Revision: 1.5 $, $Date: 2004/02/08 03:57:02 $
 * @author Vladimir R. Bossicard <vladimir@apache.org>
 */
public abstract class AbstractXmlDbClientTest extends TestCase {

    protected XmlDbClient client;
    static public final String TEST_COLLECTION_PATH = XmlDbClientSetup.INSTANCE_NAME + "/" + XmlDbClientSetup.TEST_COLLECTION_NAME + "/current";

    public void setXmlDbClient(XmlDbClient client) {
        this.client = client;
    }

    public void setUp() throws Exception {
        this.client.createCollection(XmlDbClientSetup.INSTANCE_NAME + "/" + XmlDbClientSetup.TEST_COLLECTION_NAME, "current");
    }

    public void tearDown() throws Exception {
        this.client.dropCollection(XmlDbClientSetup.INSTANCE_NAME + "/" + XmlDbClientSetup.TEST_COLLECTION_NAME, "current");
    }
}
